Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# Xfc::Gtk::ViewportSignals Class Reference

Abstract base class that implements the virtual signal handlers for Gtk::Viewport. More...

`#include <xfc/gtk/viewportsignals.hh>`

Inheritance diagram for Xfc::Gtk::ViewportSignals:

List of all members.

## Public Member Functions

Signal Handlers

- virtual void on_set_scroll_adjustments (Adjustment *hadjustment, Adjustment *vadjustment)
    Called when a viewport is added to a scrolling aware parent.

## Protected Member Functions

Constructors

- ViewportSignals (Viewport *viewport)
    Constructs a new ViewportSignals object.
- virtual ~ViewportSignals ()=0
    Destructor.

## Detailed Description

Abstract base class that implements the virtual signal handlers for Gtk::Viewport.

## Constructor & Destructor Documentation

Xfc::Gtk::ViewportSignals::ViewportSignals | ( | Viewport * | viewport | ) | `[protected]`

  | Constructs a new ViewportSignals object. Parameters:
  | viewport | A Viewport object inheriting the ViewportSignals implementation.

## Member Function Documentation

virtual void Xfc::Gtk::ViewportSignals::on_set_scroll_adjustments | ( | Adjustment * | hadjustment,
|  | Adjustment * | vadjustment
| ) | `[virtual]`

  | Called when a viewport is added to a scrolling aware parent. Parameters:
  | hadjustment | The horizontal adjustment.
  | vadjustment | The vertical adjustment.

The documentation for this class was generated from the following file:

- viewportsignals.hh

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3